Template:Community portal/styles.css

Revision as of 12:45, 15 January 2026 by Pumpkin (talk | contribs) (Created page with ".comportal-section { overflow: auto; margin-bottom: 2em; } .comportal-section h2 { background-color: #d1e4ff; border: 0; display: block; font-weight: bold; margin: 0; padding: .4em .5em .2em; text-align: center; } .comportal-blocks { background-color: var( --background-color-neutral-subtle, #f8f9fa ); border: 1px solid #a2a9b1; border-bottom: 0; border-right: 0; color: var( --color-base, #202122 ); display: flex; flex-direction: row; flex-wrap: wrap; m...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
.comportal-section {
	overflow: auto;
	margin-bottom: 2em;
}

.comportal-section h2 {
	background-color: #d1e4ff;
	border: 0;
	display: block;
	font-weight: bold;
	margin: 0;
	padding: .4em .5em .2em;
	text-align: center;
}
.comportal-blocks {
	background-color: var( --background-color-neutral-subtle, #f8f9fa );
	border: 1px solid #a2a9b1;
	border-bottom: 0;
	border-right: 0;
	color: var( --color-base, #202122 );
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	margin: 1em 0;
}
.comportal-block {
	border-bottom: 1px solid #a2a9b1;
	border-right: 1px solid #a2a9b1;
	display: flex;
	flex: 1 1;
	flex-direction: column;
	padding: 1em .5em;
	text-align: center;
	min-width: 8em;
}
.comportal-block > div:nth-child(2) {
	font-size: larger;
	font-weight: bold;
}


@media screen {
  html.skin-theme-clientpref-night .comportal-section h2 {
      background-color: #002150;
  }
}
@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os .comportal-section h2 {
		background-color: #002150;
	}
}